<template>
  <div class='container'>
    <div class="row" style="margin-top: 40px;">
      <order :order="$store.state.orders[0]"></order>
      <p>
        <router-link class="btn btn-outline-info" :to="{path: `/` }">Back to orders</router-link>
      </p>
      <meals></meals>
    </div>
  </div>
</template>

<script>
export default {
    data () {
      return {
        id: this.$route.params.id
      }
    },
    created() { 
      this.loadOrder()
    },
    methods: {
      loadOrder() {
        const url = `/api/v1/orders/${this.id}`
        this.$http.get(url).then((response) => { 
          this.$store.dispatch('loadOrders', [response.data.order])
          this.$store.dispatch('loadMeals', response.data.order.meals)
        }).catch((error) => {
          this.$root.$emit(`displayError`, (error.response.data.message))
        })
      }
    }
  }
</script>
